Subject: Re: bug#60034: comment character for org and python includes a space

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Sep 2023 01:24:04 -0700

tags 60034 + notabug wontfix
close 60034
thanks

Stefan Monnier <[email-masked]> writes:

>>>> > How is it that the comment character for org and python include a
>>>> > space "# ", when for all other languages it is only a single
>>>> > character?
>
> FWIW, both options are valid and they lead to different results
> when you do `M-;` (as well as as when `-comment-add` is 0).
>
> E.g. ELisp uses ";" rather than "; " so that you can do `M-; ; hello` to
> add a comment of the form `;; hello` at the end of the current line.
>
> In modes where using repetitions of the comment char is unusual
> (typically because indentation rules don't pay attention to the number
> of consecutive comment chars), it's more common to add a space at the
> end of `comment-start`.

Thanks, so I don't think there's anything to fix here.  If someone needs
the space-free version, they can use something like:

    (string-remove-suffix " " comment-start)

So I'm closing this as a wontfix.  Sorry.